@ECHO OFF
CLS
SET istat=1
SET clr=[5;1;37m
SET install=1
%wmpath%\TOOL\MODE co80,25>nul

ECHO.>>%wmlog%
ECHO.>>%wmlog%
ECHO.>>%wmlog%

::--------------
:: Deleting old scripts if they exists.
IF EXIST %wmpath%\TEMP\RESRFF.RFS DEL %wmpath%\TEMP\RESRFF.RFS>nul
IF EXIST %wmpath%\TEMP\SNDRFF.RFS DEL %wmpath%\TEMP\SNDRFF.RFS>nul
IF EXIST %wmpath%\TEMP\LTRS.FLG DEL %wmpath%\TEMP\LTRS.FLG>nul
::--------------

IF NOT EXIST %wmpath%\PRST\CURST\*.FLG GOTO install_end

::--------------
:install_screen
CLS
ECHO.
IF %noblink% == 1 goto no_install_screen
IF EXIST %wmpath%\TEMP\RESRFF.rfs goto skip_empty_space
ECHO.
ECHO.
:skip_empty_space
ECHO             %clr%Ŀ[0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                Ŀ              [0;30m
ECHO             %clr%                 ....INSTALLING....               [0;30m
ECHO             %clr%                    STEP [5;1;35m#%istat% %clr%OF [5;1;31m4%clr%                  [0;30m
ECHO             %clr%                              [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%                                                    [0;30m
ECHO             %clr%[0;30m
goto install_redirect
:no_install_screen
ECHO.
ECHO  %clr%INSTALLING WEAPONS, STEP [1;36m#%istat% %clr%OF [1;31m3[0;30m
:install_redirect
IF %istat% == 1 goto store_core_files
IF %istat% == 2 goto install_res
IF %istat% == 3 goto install_snd
goto install_end
::--------------

::--------------
:store_core_files
ECHO PREPARING TO INSTALL WEAPONS...>>%wmlog%
ECHO ------------------------------------------->>%wmlog%
ECHO CHECKING IF TILES023 DOES NOT EXIST...>>%wmlog%
IF NOT EXIST %TILES%\TILES023.ART goto t23_wm

SET srcz=0
SET dstz=0
%wmpath%\TOOL\STRINGS srcz=FILESIZE %TILES%\TILES023.ART
%wmpath%\TOOL\STRINGS dstz=FILESIZE %wmpath%\TILES023.ART

IF %srcz% == 0 goto t23_wm
IF %srcz% == %dstz% goto t23_skip
goto t23_user

:t23_wm
COPY %wmpath%\TILES023.ART %TILES%>nul
ECHO TILES023.ART WAS COPIED FROM WM DIRECTORY>>%wmlog%
goto generate_scripts

:t23_user
ECHO STORING USER TILES023.ART TEMPORARY...>>%wmlog%
COPY %TILES%\TILES023.ART %wmpath%\TEMP\TILES023.ART>>%wmlog%
DEL %TILES%\TILES023.ART>>%wmlog%
COPY %wmpath%\TILES023.ART %TILES%>>%wmlog%
goto generate_scripts

:t23_skip
ECHO EXISTING TILES023.ART WILL BE USED>>%wmlog%


:generate_scripts
SET tguns=23
SET cgun=1
::--------------
:: Adding info to script(s) of each selected weapon.
:loop
IF EXIST %wmpath%\PRST\CURST\%cgun%.FLG goto loop_check_bat
goto inc_cgun

:loop_check_bat
IF NOT EXIST %wmpath%\INST\%cgun%.BAT goto loop_no_bat_file
CALL %wmpath%\INST\%cgun%.BAT %1 %2 %3 %4 %5 %6 %7 %8 %9
::IF EXIST %wmpath%\TEMP\RESRFF.RFS ECHO.>>%wmpath%\TEMP\RESRFF.RFS
::IF EXIST %wmpath%\TEMP\SNDRFF.RFS ECHO.>>%wmpath%\TEMP\SNDRFF.RFS
goto inc_cgun

:loop_no_bat_file
ECHO NO BAT FILE FOUND FOR WEAPON #%cgun%!>>%wmlog%

:inc_cgun
%wmpath%\TOOL\STRINGS cgun=ADD %cgun%,1
IF NOT %cgun% == %tguns% goto loop
:endloop
::--------------

ECHO SELECTED WEAPON(S):>>%wmlog%
TYPE %wmpath%\TEMP\LTRS.FLG>>%wmlog%

SET istat=2
ECHO ------------------------------------------->>%wmlog%
ECHO.>>%wmlog%
goto install_screen
::--------------

:install_res
IF NOT EXIST %wmpath%\TEMP\RESRFF.rfs goto skip_install_res
ECHO ------------------------------------------->>%wmlog%
IF %repair% == 0 goto install_res_skip_store
ECHO STORING %BLOOD_RFF% TEMPORARY...>>%wmlog%
COPY %BLOOD_RFF% %wmpath%\TEMP\%BLOOD_RFF%>>%wmlog%
:install_res_skip_store
IF %BLOOD_RFF% == %SOUNDS_RFF% goto install_both
ECHO INSTALLING WEAPON'S ANIMATIONS TO %BLOOD_RFF%...>>%wmlog%
TYPE %wmpath%\DATA\SMCN.SYM>>%wmpath%\TEMP\RESRFF.rfs
%wmpath%\TOOL\BARF %BLOOD_RFF% -a @%wmpath%\TEMP\RESRFF.rfs>>%wmlog%
:skip_install_res
SET istat=3
SET clr=[5;1;33m
goto install_screen

:install_both
ECHO ------------------------------------------->>%wmlog%
ECHO INSTALLING WEAPON'S ANIMATIONS AND SOUNDS TO %BLOOD_RFF%...>>%wmlog%
TYPE %wmpath%\TEMP\SNDRFF.RFS>>%wmpath%\TEMP\RESRFF.RFS
TYPE %wmpath%\DATA\SMCN.SYM>>%wmpath%\TEMP\RESRFF.rfs
%wmpath%\TOOL\BARF %BLOOD_RFF% -a @%wmpath%\TEMP\RESRFF.rfs>>%wmlog%
SET istat=4
SET clr=[5;1;33m
goto install_screen

:install_snd
IF NOT EXIST %wmpath%\TEMP\SNDRFF.rfs goto skip_install_snd
IF %BLOOD_RFF% == %SOUNDS_RFF% goto skip_install_snd
ECHO ------------------------------------------->>%wmlog%
IF %repair% == 0 goto install_snd_skip_store
ECHO STORING %SOUNDS_RFF% TEMPORARY...>>%wmlog%
COPY %SOUNDS_RFF% %wmpath%\TEMP\%SOUNDS_RFF%>>%wmlog%
:install_snd_skip_store
ECHO INSTALLING WEAPON'S SOUNDS TO %SOUNDS_RFF%...>>%wmlog%
TYPE %wmpath%\DATA\SMCN.SYM>>%wmpath%\TEMP\SNDRFF.rfs
%wmpath%\TOOL\BARF %SOUNDS_RFF% -a @%wmpath%\TEMP\SNDRFF.rfs>>%wmlog%
:skip_install_snd
SET istat=4
SET clr=[5;1;32m
goto install_screen


:install_end
CLS
ECHO ------------------------------------------->>%wmlog%
IF %install% == 1 ECHO WEAPONS INSTALLATION IS COMPLETED.>>%wmlog%
IF %install% == 0 ECHO ERROR WHILE INSTALLING WEAPONS.>>%wmlog%
ECHO ------------------------------------------->>%wmlog%
ECHO [0m
SET istat=
SET clr=
SET srcz=
SET dstz=
SET fname=
SET cdir=
SET tguns=
SET cgun=
SET status=
SET status2=
