@ECHO OFF
CLS
SET restart=
:game_options_screen
SET strlen=
SET input=
CLS
%wmpath%\TOOL\CURSOR none>nul
SET oscr=0
ECHO [7;41m[1;33m GAME OPTIONS [7;41m                                                              [0m
ECHO.
ECHO.
ECHO  Specify resource or/and sounds archive where weapons will be installed. 
ECHO  All addons usually use BLOOD.RFF and SOUNDS.RFF, but some may not.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO  [1;33m[1] [0;36mDEFINE RESOURCE ARCHIVE       [1;33m[2] [0;36mDEFINE SOUNDS ARCHIVE
ECHO        [0;35m%BLOOD_RFF%                       %SOUNDS_RFF%[0m
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO.
ECHO  
%wmpath%\TOOL\CHOICE /C:12dqw /N " [1;33m[Q][0m BACK  [1;30m[G] GAME SETTINGS[0m  [1;33m[W][0m WM STARTUP  [1;33m[D][1;31m DEFAULT"
CLS
ECHO [1;37m
IF ERRORLEVEL 5 GOTO wm_options_screen
IF ERRORLEVEL 4 GOTO options_end
IF ERRORLEVEL 3 GOTO reset_options
IF ERRORLEVEL 2 GOTO set_sounds_rff
IF ERRORLEVEL 1 GOTO set_blood_rff
goto game_options_screen


:wm_options_screen
CLS
%wmpath%\TOOL\CURSOR none>nul
SET oscr=1
ECHO [7;41m[1;33m WM STARTUP OPTIONS[7;41m                                                         [0m
ECHO.
ECHO  This option allows Weapons Mod restore original files if game session
ECHO  was ended incorrectly (for example DosBox was just closed).
ECHO.
IF %repair% == 1 ECHO  [1;33m[F] [0;31mDISABLE FILES REPAIRING  [1;34m
IF %repair% == 0 ECHO  [1;33m[F] [1;34mENABLE FILES REPAIRING  [0;31m
ECHO.
ECHO  [1;30m[0m
ECHO.
ECHO  Select if weapons mod should automatically quit after weapons installation. 
SET d=[5;35m[0;36m
ECHO.
IF %skip_play_screen% == 6     ECHO  [1;33m[E] [0;36m(%d%) EXIT AFTER WEAPONS INSTALLATION[0m  [1;30m
IF NOT %skip_play_screen% == 6 ECHO  [1;33m[E] [0;36m( ) EXIT AFTER WEAPONS INSTALLATION[0m  [1;30m
ECHO.
ECHO.
ECHO  [1;30m[0m
ECHO.
ECHO  These options allow enabling selecting random weapons (up to 9) and 
ECHO  enabling or disabling the main weapon select screen.
ECHO.
%wmpath%\TOOL\STRINGS skip_main_screen=READ %wmpath%\OPTS\SMNS.SET,1
%wmpath%\TOOL\STRINGS randw=READ %wmpath%\OPTS\RNDW.SET,1
IF %skip_main_screen% == 0 goto sms0
IF %skip_main_screen% == 1 goto sms1

:sms0
SET sms=[1;33m[M] [0;31mDISABLE MAIN SCREEN [1;34m
IF %randw% == 0 ECHO  %sms%  [1;33m[R] [0;36m( ) RANDOM SELECT
IF %randw% == 1 ECHO  %sms%  [1;33m[R] [0;36m(%d%) RANDOM SELECT
goto wm_options_screen_end

:sms1
SET sms=[1;33m[M] [1;34mENABLE MAIN SCREEN  [0;31m
IF %randw% == 0 ECHO  %sms%  [1;33m[R] [0;36m( ) RANDOM SELECT
IF %randw% == 1 ECHO  %sms%  [1;33m[R] [0;36m(%d%) RANDOM SELECT
:wm_options_screen_end
ECHO                                      [0;35m[1;33m[U][0;36m UP TO [1;32m%randwc% [0;36mWEAPONS[0m
SET sms=
SET d=
ECHO.
ECHO  
%wmpath%\TOOL\CHOICE /C:femrudqg /N " [1;33m[Q][0m BACK  [1;33m[G][0m GAME SETTINGS  [1;30m[W] WM STARTUP  [1;33m[D][1;31m DEFAULT"
CLS
IF ERRORLEVEL 8 goto game_options_screen
IF ERRORLEVEL 7 goto options_end
IF ERRORLEVEL 6 goto reset_options
IF ERRORLEVEL 5 goto set_randw_counter
IF ERRORLEVEL 4 goto set_rand_weapons
IF ERRORLEVEL 3 goto set_sms
IF ERRORLEVEL 2 goto set_sps0
IF ERRORLEVEL 1 goto set_repair
goto wm_options_screen


:set_blood_rff
CLS
ECHO TYPE FILENAME OF RESOURCE ARCHIVE AND PRESS ENTER.
ECHO EXAMPLE: BLOOD.RFF or FAITD.RFF
ECHO.
%wmpath%\TOOL\CURSOR full>nul
%wmpath%\TOOL\STRINGS input=ASK RESOURCE ARCHIVE: [1;33m
%wmpath%\TOOL\STRINGS input=UPPER %input%
%wmpath%\TOOL\STRINGS strlen=LENGTH %input%
IF %strlen% == 0 goto game_options_screen
RESCAN>nul
IF NOT EXIST %input% goto file_not_exist
ECHO %input%>%wmpath%\OPTS\BRFF.SET
%wmpath%\TOOL\CHANGE %wmpath%\OPTS\BRFF.SET "/" "\">nul
CALL %wmpath%\INTF\WMST
CALL %wmpath%\INTF\CTMP %BLOOD_RFF%
SET restart=1
goto game_options_screen

:set_sounds_rff
CLS
ECHO TYPE FILENAME OF SOUNDS ARCHIVE AND PRESS ENTER.
ECHO EXAMPLE: SOUNDS.RFF or FAITD.RFF
ECHO.
%wmpath%\TOOL\CURSOR full>nul
%wmpath%\TOOL\STRINGS input=ASK SOUNDS ARCHIVE: [1;33m
%wmpath%\TOOL\STRINGS input=UPPER %input%
%wmpath%\TOOL\STRINGS strlen=LENGTH %input%
IF %strlen% == 0 goto game_options_screen
RESCAN>nul
IF NOT EXIST %input% goto file_not_exist
ECHO %input%>%wmpath%\OPTS\SRFF.SET
%wmpath%\TOOL\CHANGE %wmpath%\OPTS\SRFF.SET "/" "\">nul
CALL %wmpath%\INTF\WMST
CALL %wmpath%\INTF\CTMP %SOUNDS_RFF%
SET restart=1
goto game_options_screen

:set_repair
CLS
IF %repair% == 0 goto set_repair_on
goto set_repair_off
:set_repair_on
SET repair=1
ECHO 1>%wmpath%\OPTS\RPFL.SET
goto wm_options_screen
:set_repair_off
ECHO.
ECHO  [1;37mTURNING THIS OPTION OFF CAN LEAD TO UNPREDICTABLE RESULTS! 
ECHO  ARE YOU SURE YOU WANT DISABLE IT? [1;33m[Y/N]
%wmpath%\TOOL\CHOICE /C:yn /N "[0m"
IF ERRORLEVEL 2 goto wm_options_screen
SET repair=0
ECHO 0>%wmpath%\OPTS\RPFL.SET
goto wm_options_screen

:set_rand_weapons
CLS
IF %randw% == 0 goto set_rand_weapons_on
goto set_rand_weapons_off
:set_rand_weapons_on
IF %skip_play_screen% == 4 goto rand_not_allowed
ECHO 1>%wmpath%\OPTS\RNDW.SET
SET randw=1
IF %skip_main_screen% == 0 goto set_sms
goto wm_options_screen
:set_rand_weapons_off
ECHO 0>%wmpath%\OPTS\RNDW.SET
SET randw=0
goto wm_options_screen

:set_randw_counter
CLS
%wmpath%\TOOL\STRINGS randwc=READ %wmpath%\OPTS\RDWC.SET,1
IF %randwc% == 8 goto set_randw_counter_min
%wmpath%\TOOL\STRINGS randwc=ADD %randwc%,1
goto set_randw_counter_save
:set_randw_counter_min
SET randwc=1
:set_randw_counter_save
ECHO %randwc%>%wmpath%\OPTS\RDWC.SET
goto wm_options_screen

:set_sms
CLS
IF %skip_main_screen% == 0 goto set_sms_on
goto set_sms_off
:set_sms_on
ECHO 1>%wmpath%\OPTS\SMNS.SET
SET skip_main_screen=1
goto wm_options_screen
:set_sms_off
ECHO 0>%wmpath%\OPTS\SMNS.SET
SET skip_main_screen=0
IF %randw% == 1 goto set_rand_weapons
goto wm_options_screen

:set_sps0
CLS
IF %skip_play_screen% == 0 goto set_sps0_on
goto set_sps0_off
:set_sps0_on
ECHO 6>%wmpath%\OPTS\SPLS.SET
SET skip_play_screen=6
goto wm_options_screen
:set_sps0_off
ECHO 0>%wmpath%\OPTS\SPLS.SET
SET skip_play_screen=0
goto wm_options_screen

:reset_options
ECHO PLEASE WAIT...
ECHO BLOOD.RFF>%wmpath%\OPTS\BRFF.SET
ECHO SOUNDS.RFF>%wmpath%\OPTS\SRFF.SET
ECHO 1>%wmpath%\OPTS\RPFL.SET
ECHO 7>%wmpath%\OPTS\RDWC.SET
ECHO 0>%wmpath%\OPTS\RNDW.SET
ECHO 0>%wmpath%\OPTS\SMNS.SET
ECHO 6>%wmpath%\OPTS\SPLS.SET
SET restart=1
CALL %wmpath%\INTF\WMST
IF %oscr% == 0 goto game_options_screen
goto wm_options_screen

:options_end
IF NOT .%restart% == .1 goto options_end_final
ECHO RESTART OF WEAPONS MOD REQUIRED AS PATHS WAS CHANGED.>>%wmlog%
CLS
ECHO.
ECHO  [1;37mA RESTART OF WEAPONS MOD MAY REQUIRED AS PATHS WAS CHANGED.
ECHO  PLEASE RESTART WEAPONS MOD.
ECHO  Press any key to exit...
pause>nul

:options_end_final
CLS
ECHO [0m